summaryrefslogtreecommitdiffstats
path: root/network/cclive
diff options
context:
space:
mode:
author crocket2010-12-24 16:17:52 +0100
committer Niels Horn2010-12-24 16:17:52 +0100
commit17d62a7631f03038020cfc264cc2607e96ffafa2 (patch)
treeec95c934748f0f8d175d8230929f42e30e1090b9 /network/cclive
parentcc29fb847e42f28f8632eaa23023dcf2d6eeab3f (diff)
downloadslackbuilds-17d62a7631f03038020cfc264cc2607e96ffafa2.tar.gz
network/cclive: Added (flash video downloader)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'network/cclive')
-rw-r--r--network/cclive/README15
-rw-r--r--network/cclive/cclive.SlackBuild86
-rw-r--r--network/cclive/cclive.info10
-rw-r--r--network/cclive/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/network/cclive/README b/network/cclive/README
new file mode 100644
index 0000000000..6386ae5bf2
--- /dev/null
+++ b/network/cclive/README
@@ -0,0 +1,15 @@
+cclive is a command line tool for downloading videos from Youtube and
+other similar video websites that require Adobe Flash to view the
+video content. It has low memory footprint compared to other similar
+tools. It is a rewrite ot the clive software in C++, and it is free
+software, licensed under the GPLv3.
+
+This requires quvi.
+
+If you put the below lines in $HOME/.ccliverc, the output filename would
+look nice.
+
+filename-format="%t.%s"
+regexp="/(\w|\s)/g"
+substitute="s/\s/_/g"
+format=best
diff --git a/network/cclive/cclive.SlackBuild b/network/cclive/cclive.SlackBuild
new file mode 100644
index 0000000000..5e577f71cb
--- /dev/null
+++ b/network/cclive/cclive.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for cclive
+
+# Written by crocket (crockabiscuit@yahoo.com)
+
+PRGNAM=cclive
+VERSION=${VERSION:-0.6.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/network/cclive/cclive.info b/network/cclive/cclive.info
new file mode 100644
index 0000000000..bb96ab479a
--- /dev/null
+++ b/network/cclive/cclive.info
@@ -0,0 +1,10 @@
+PRGNAM="cclive"
+VERSION="0.6.5"
+HOMEPAGE="http://code.google.com/p/cclive/"
+DOWNLOAD="http://cclive.googlecode.com/files/cclive-0.6.5.tar.bz2"
+MD5SUM="c3d50c05ca332b01286f9f3b6dd21841"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="crocket"
+EMAIL="crockabiscuit@yahoo.com"
+APPROVED="Niels Horn"
diff --git a/network/cclive/slack-desc b/network/cclive/slack-desc
new file mode 100644
index 0000000000..acff3084e7
--- /dev/null
+++ b/network/cclive/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cclive: cclive (flash video downloader)
+cclive:
+cclive: cclive is a command line tool for downloading videos from Youtube and
+cclive: other similar video websites that require Adobe Flash to view the
+cclive: video content. It has low memory footprint compared to other similar
+cclive: tools. It is a rewrite ot the clive software in C++, and it is free
+cclive: software, licensed under the GPLv3.
+cclive:
+cclive: The website is http://code.google.com/p/cclive/
+cclive:
+cclive: